%bcond_with marble_python

%define branch 0
%{?_branch: %{expand: %%global branch 1}}

%if %branch
%define kde_snapshot svn1198704
%endif

Name: kdeedu4
Summary: Free Educational Software based on the KDE technologies
Version: 4.6.5
%if %branch
Release: 0.%kde_snapshot.1
%else
Release: 2
%endif
Group: Graphical desktop/KDE
License: GPL
URL: http://edu.kde.org
%if %branch
Source: ftp://ftp.kde.org/pub/kde/unstable/%version/src/kdeedu-%version%kde_snapshot.tar.bz2
%else
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdeedu-%version.tar.bz2
%endif
Patch2:	kdeedu-4.5.74-cantor-rpath.patch
Buildroot: %_tmppath/%name-%version-%release-root
BuildRequires: gpsd-devel
BuildRequires: jpeg-devel
BuildRequires: png-devel
BuildRequires: libimlib2-devel
BuildRequires: libtiff-devel
BuildRequires: python-devel
BuildRequires: boost-devel
BuildRequires: facile
BuildRequires: ocaml
BuildRequires: zlib-devel 
BuildRequires: bzip2-devel
BuildRequires: gettext texinfo
BuildRequires: qt4-qtdbus
BuildRequires: kdelibs4-devel >= 2:4.3.80
BuildRequires: freetype2-devel
BuildRequires: OpenEXR-devel
BuildRequires: cfitsio-devel
BuildRequires: eigen2 >= 2:2.0.3
BuildRequires: openbabel-devel 
BuildRequires: libusb-devel
BuildRequires: ncurses-devel
BuildRequires: libreadline-devel
BuildRequires: getfem++
BuildRequires: libnova-devel >= 0.12.1
BuildRequires: libfli-devel
BuildRequires: libapogee-devel
BuildRequires: qalculate-devel
BuildRequires: gsl-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: indilib-devel >= 0.6.1
BuildRequires: xplanet >= 1.2.1
BuildRequires: libspectre-devel
BuildRequires: avogadro-devel
BuildRequires: R
Suggests: blinken
Suggests: kalgebra
Suggests: kalzium
Suggests: kanagram
Suggests: kbruch
Suggests: kgeography
Suggests: khangman
Suggests: kig
Suggests: kiten
Suggests: klettres
Suggests: kmplot
Suggests: kstars
Suggests: ktouch
Suggests: kturtle
Suggests: parley
Suggests: kwordquiz
Suggests: marble
Suggests: step
Suggests: rocs

Obsoletes: kpercentage

%description
%{name} metapackage, which contains: 
* blinken: Simon Says Game
* kalgebra: MathML-based graph calculator
* kbruch: Exercise Fractions
* kgeography: Geography Trainer
* khangman: Hangman Game
* kig: Interactive Geometry
* kiten: Japanese Reference/Study Tool
* klettres: French alphabet tutor
* kmplot: Mathematical Function Plotter
* kpercentage: Excersie Percentages
* ktouch: Touch Typing Tutor
* kturtle: Logo Programming Environment
* kvoctrain: Vocabulary Trainer
* kwordquiz: Vocabulary Trainer
* marble: Virtual Globe

%files
%defattr(-,root,root,-)
%doc README

#----------------------------------------------------------------------

%package     core
Summary:     %name core files
Group:       Graphical desktop/KDE
Requires:    kdelibs4-core
Requires:    kdebase4-runtime
Obsoletes:   %{_lib}kdeeducore4 < 3.92.0-0.697083.1
%if %mdkversion >= 200910
Obsoletes:   kdeedu < 1:3.5.10-2
%endif
%if %mdkversion >= 200100
Obsoletes:   kdeedu3 < 1:3.5.10-2
%endif
%description core
Core files for %{name}.

%files core
%defattr(-,root,root)
%_kde_appsdir/libkdeedu
%_kde_iconsdir/*/*/actions/*

#----------------------------------------------------------------------

%package -n     blinken
Summary:        Simon Says Game
Group:          Graphical desktop/KDE
Requires:       %name-core = %version
Obsoletes:      %name-blinken < 3.93.0-0.714236.1
Obsoletes:      kde4-blinken < 1:4.0.68
Provides:       kde4-blinken = %version
Conflicts:	%{name}-core < 4.5.71
%if %mdkversion >= 200910
Conflicts:      kdeedu < 1:3.5.9-4
%endif

%description -n blinken
Blinken is the KDE version of the well-known game Simon Says.
Follow the pattern of sounds and lights as long as you can! Press the
start game button to begin. Watch the computer and copy the pattern it
makes. Complete the sequence in the right order to win.

%files -n blinken
%defattr(-,root,root)
%_kde_appsdir/blinken
%_kde_bindir/blinken
%_kde_iconsdir/*/*/apps/blinken.*
%_kde_datadir/applications/kde4/blinken.desktop
%_kde_datadir/config.kcfg/blinken.kcfg
%_kde_docdir/HTML/*/blinken

#---------------------------------------------

%package -n 	kalgebra
Summary: 	MathML-based graph calculator
Group: 		Graphical desktop/KDE
Requires: 	%name-core = %version
Obsoletes: 	%name-kalgebra < 3.93.0-0.714236.1
Obsoletes:      kde4-kalgebra < 1:4.0.68
Provides:       kde4-kalgebra = %version
Conflicts:	%{name}-core < 4.5.71
%if %mdkversion >= 200910
Conflicts:      kdeedu < 1:3.5.9-4
%endif

%description -n kalgebra
KAlgebra is a mathematical calculator based content markup MathML
language. Nowadays it is capable to make simple MathML operations
(arithmetic and logical) and representate 2D and 3D graphs. It is
actually not necessary to know MathML to use KAlgebra.

%files -n kalgebra
%defattr(-,root,root)
%_kde_bindir/kalgebra
%_kde_bindir/kalgebramobile
%_kde_bindir/calgebra
%_kde_iconsdir/*/*/apps/kalgebra.*
%_kde_datadir/applications/kde4/kalgebra.desktop
%_kde_datadir/applications/kde4/kalgebramobile.desktop
%_kde_libdir/kde4/plasma_applet_kalgebra.so
%_kde_appsdir/katepart/syntax/kalgebra.xml
%_kde_appsdir/kalgebra
%_kde_services/kalgebra*.desktop
%_kde_servicetypes/kalgebra*.desktop
%_kde_docdir/HTML/*/kalgebra

#---------------------------------------------

%package -n     kalzium
Summary:        Shows the periodic system of the elements
Group:          Graphical desktop/KDE
Requires:       %name-core = %version
Requires:       openbabel
Obsoletes:      %name-kalzium < 3.93.0-0.714236.1
Obsoletes:      kde4-kalzium < 1:4.0.68
Provides:       kde4-kalzium = %version
Conflicts:	%{name}-core < 4.5.71
%if %mdkversion >= 200910
Conflicts:      kdeedu < 1:3.5.9-4
%endif

%description -n kalzium
Kalzium is an application which will show you some information about the
periodic system of the elements. Therefore you could use it as an
information database.

%files -n kalzium
%defattr(-,root,root)
%_kde_bindir/kalzium
%_kde_appsdir/kalzium
%_kde_iconsdir/*/*/apps/kalzium.*
%_kde_libdir/kde4/plasma_applet_molmassCalculator.so
%_kde_datadir/applications/kde4/kalzium.desktop
%_kde_services/plasma-applet-Molmasscalculator.desktop
%_kde_datadir/config.kcfg/kalzium.kcfg
%_kde_datadir/config/kalzium.knsrc
%_kde_docdir/HTML/*/kalzium
%_kde_mandir/man1/kalzium.1.*

#---------------------------------------------

%define compoundviewer_major 4
%define libcompoundviewer %mklibname compoundviewer %{compoundviewer_major}

%package -n %libcompoundviewer
Summary: KDE 4 library
Group: System/Libraries

%description -n %libcompoundviewer
KDE 4 library

%files -n %libcompoundviewer
%defattr(-,root,root)
%_kde_libdir/libcompoundviewer.so.%{compoundviewer_major}*

#---------------------------------------------                    

%package -n 	kanagram
Summary: 	Word learning program
Group: 		Graphical desktop/KDE
Requires: 	%name-core = %version
Obsoletes: 	%name-kanagram < 3.93.0-0.714236.1
Obsoletes:      kde4-kanagram < 1:4.0.68
Provides:       kde4-kanagram = %version
Conflicts:	%{name}-core < 4.5.71
%if %mdkversion >= 200910
Conflicts:      kdeedu < 1:3.5.9-4
%endif

%description -n kanagram
Kanagram is a replacement for KMessedWords. Kanagram mixes up the letters
of a word (creating an anagram), and you have to guess what the mixed up
word is. Kanagram features several built-in word lists, hints, and a cheat
feature which reveals the original word. Kanagram also has a vocabulary
editor, so you can make your own vocabularies, and distribute them through
Kanagram's KNewStuff download service.

%files -n kanagram
%defattr(-,root,root)
%_kde_bindir/kanagram
%_kde_appsdir/kanagram
%dir %_kde_appsdir/kvtml
%dir %_kde_appsdir/kvtml/en
%_kde_appsdir/kvtml/en/worldcapitals.kvtml
%_kde_appsdir/kvtml/en/clothing.kvtml
%_kde_appsdir/kvtml/en/computers.kvtml
%_kde_appsdir/kvtml/en/currencies.kvtml
%_kde_appsdir/kvtml/en/fruits.kvtml
%_kde_appsdir/kvtml/en/inventions.kvtml
%_kde_appsdir/kvtml/en/numbers.kvtml
%_kde_appsdir/kvtml/en/objects.kvtml
%_kde_appsdir/kvtml/en/people.kvtml
%_kde_appsdir/kvtml/en/professions.kvtml
%_kde_appsdir/kvtml/en/space.kvtml
%_kde_appsdir/kvtml/en/sports.kvtml
%_kde_appsdir/kvtml/en/transportation.kvtml
%_kde_appsdir/kvtml/en/vegetables.kvtml
%_kde_iconsdir/*/*/apps/kanagram.*
%_kde_datadir/applications/kde4/kanagram.desktop
%_kde_datadir/config.kcfg/kanagram.kcfg
%_kde_datadir/config/kanagram.knsrc
%_kde_docdir/HTML/*/kanagram

#---------------------------------------------

%package -n 	kbruch
Summary: 	Practice calculating with fractions
Group: 		Graphical desktop/KDE
Requires: 	%name-core = %version
Obsoletes: 	%name-kbruch < 3.93.0-0.714236.1
Obsoletes:      kde4-kbruch < 1:4.0.68
Provides:       kde4-kbruch = %version
Conflicts:	%{name}-core < 4.5.71
%if %mdkversion >= 200910
Conflicts:      kdeedu < 1:3.5.9-4
%endif

%description -n kbruch
KBruch is a small program to practice calculating with fractions.

%files -n kbruch
%defattr(-,root,root)
%_kde_bindir/kbruch
%_kde_datadir/applications/kde4/kbruch.desktop
%_kde_appsdir/kbruch
%_kde_iconsdir/*/*/apps/kbruch.*
%_kde_datadir/config.kcfg/kbruch.kcfg
%_kde_docdir/HTML/*/kbruch
%_kde_mandir/man1/kbruch.1.*

#---------------------------------------------

%package -n 	kgeography
Summary: 	A geography learning program
Group: 		Graphical desktop/KDE
Requires: 	%name-core = %version
Obsoletes: 	%name-kgeography < 3.93.0-0.714236.1
Obsoletes:      kde4-kgeography < 1:4.0.68
Provides:       kde4-kgeography = %version
Conflicts:	%{name}-core < 4.5.71
%if %mdkversion >= 200910
Conflicts:      kdeedu < 1:3.5.9-4
%endif

%description -n kgeography
KGeography is a geography learning program.

%files -n kgeography
%defattr(-,root,root)
%_kde_appsdir/kgeography
%_kde_bindir/kgeography
%_kde_iconsdir/*/*/apps/kgeography.*
%_kde_datadir/applications/kde4/kgeography.desktop
%_kde_datadir/config.kcfg/kgeography.kcfg
%_kde_docdir/HTML/*/kgeography

#---------------------------------------------

%package -n 	khangman
Summary: 	Classical hangman game
Group: 		Graphical desktop/KDE
Requires: 	%name-core = %version
Obsoletes: 	%name-khangman < 3.93.0-0.714236.1
Obsoletes:      kde4-khangman < 1:4.0.69-2
Provides:       kde4-khangman = %version
%if %mdkversion >= 200910
Conflicts:      kdeedu < 1:3.5.9-4
%endif
Conflicts:      kanagram < 4.1.71-3
Conflicts:	%{name}-core < 4.5.71

%description -n khangman
KHangman is the classical hangman game. The child should guess a word
letter by letter. At each miss, the picture of a hangman appears. After
10 tries, if the word is not guessed, the game is over and the answer
is displayed.

%files -n khangman
%defattr(-,root,root)
%_kde_appsdir/khangman
%_kde_bindir/khangman
%dir %_kde_appsdir/kvtml
%dir %_kde_appsdir/kvtml/en
%_kde_appsdir/kvtml/en/animals.kvtml
%_kde_appsdir/kvtml/en/easy.kvtml
%_kde_appsdir/kvtml/en/hard.kvtml
%_kde_appsdir/kvtml/en/medium.kvtml
%_kde_iconsdir/*/*/apps/khangman.*
%_kde_datadir/applications/kde4/khangman.desktop
%_kde_datadir/config.kcfg/khangman.kcfg
%_kde_datadir/config/khangman.knsrc
%_kde_docdir/HTML/*/khangman
%_kde_mandir/man6/khangman.6.*

#---------------------------------------------

%package -n 	kig
Summary: 	A program for exploring geometric constructions
Group: 		Graphical desktop/KDE
Requires: 	%name-core = %version
Obsoletes: 	%name-kig < 3.93.0-0.714236.1
Obsoletes:      kde4-kig < 1:4.0.68
Provides:       kde4-kig = %version
Conflicts:	%{name}-core < 4.5.71
%if %mdkversion >= 200910
Conflicts:      kdeedu < 1:3.5.9-4
%endif

%description -n kig
Kig is a program for exploring geometric constructions.

%files -n kig
%defattr(-,root,root)
%_kde_appsdir/kig
%_kde_bindir/kig
%_kde_bindir/pykig.py
%_kde_libdir/kde4/kigpart.so
%_kde_iconsdir/*/*/apps/kig.*
%_kde_iconsdir/*/*/mimetypes/application-x-kig.*
%_kde_datadir/applications/kde4/kig.desktop
%_kde_services/kig_part.desktop
%_kde_appsdir/katepart/syntax/python-kig.xml
%_kde_docdir/HTML/*/kig
%_kde_mandir/man1/kig.1.*

#---------------------------------------------

%package -n 	kiten
Summary: 	A Japanese reference/learning tool
Group: 		Graphical desktop/KDE
Requires: 	%name-core = %version
Obsoletes: 	%name-kiten < 3.93.0-0.714236.1
Obsoletes:      kde4-kiten < 1:4.0.68
Provides:       kde4-kiten = %version
Conflicts:	%{name}-core < 4.5.71
%if %mdkversion >= 200910
Conflicts:      kdeedu < 1:3.5.9-4
%endif

%description -n kiten
Kiten is a Japanese reference/learning tool.

Kiten features:
* Search with english keyword, Japanese reading, or a Kanji string on a
  list of EDICT files.
* Search with english keyword, Japanese reading, number of strokes, grade
  number, or a Kanji on a list of KANJIDIC files.
* Comes with all necessary files.
* Very fast.
* Limit searches to only common entries.
* Nested searches of results possible.
* Compact, small, fast interface.
* Global KDE keybindings for searching highlighted strings.
* Learning dialog. (One can even open up multiple ones and have them sync
  between each other.)
* Browse Kanji by grade.
* Add Kanji to a list for later learning.
* Browse list, and get quizzed on them.

%files -n kiten
%defattr(-,root,root)
%_kde_appsdir/kiten
%_kde_appsdir/kitenradselect
%_kde_bindir/kiten
%_kde_bindir/kitengen
%_kde_bindir/kitenradselect
%_kde_iconsdir/*/*/apps/kiten.*
%_kde_datadir/applications/kde4/kiten.desktop
%_kde_datadir/config.kcfg/kiten.kcfg
%_kde_docdir/HTML/*/kiten

#---------------------------------------------

%define libkiten %mklibname kiten 4

%package -n %libkiten
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkiten
KDE 4 library

%if %mdkversion < 200900
%post -n %libkiten -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libkiten -p /sbin/ldconfig
%endif

%files -n %libkiten
%defattr(-,root,root)
%_kde_libdir/libkiten.so.*

#---------------------------------------------

%package -n 	klettres
Summary: 	Language learning program
Group: 		Graphical desktop/KDE
Requires: 	%name-core = %version
Obsoletes: 	%name-klettres < 3.93.0-0.714236.1
Obsoletes:      kde4-klettres < 1:4.0.68
Provides:       kde4-klettres = %version
Conflicts:	%{name}-core < 4.5.71
%if %mdkversion >= 200910
Conflicts:      kdeedu < 1:3.5.9-4
%endif

%description -n klettres
KLettres aims to help to learn the alphabet and then to read some syllables
in different languages. It is meant to help learning the very first sounds
of a new language, for children or for adults.

%files -n klettres
%defattr(-,root,root)
%_kde_appsdir/klettres
%_kde_bindir/klettres
%_kde_iconsdir/*/*/apps/klettres.*
%_kde_datadir/applications/kde4/klettres.desktop
%_kde_datadir/config.kcfg/klettres.kcfg
%_kde_datadir/config/klettres.knsrc
%_kde_docdir/HTML/*/klettres

#---------------------------------------------

%package -n 	kmplot
Summary: 	A mathematical function plotter
Group: 		Graphical desktop/KDE
Requires: 	%name-core = %version
Obsoletes: 	%name-kmplot < 3.93.0-0.714236.1
Obsoletes:      kde4-kmplot < 1:4.0.68
Provides:       kde4-kmplot = %version
%if %mdkversion >= 200910
Conflicts:	%{name}-core < 4.5.71
Conflicts:      kdeedu < 1:3.5.9-4
%endif

%description -n kmplot
KmPlot is a mathematical function plotter for the KDE-Desktop.

It has built in a powerfull parser. You can plot different functions
simultaneously and combine their function terms to build new functions.
KmPlot supports functions with parameters and functions in polar
coordinates. Several grid modes are possible. Plots may be printed with
high precision in correct scale.

%files -n kmplot
%defattr(-,root,root)
%_kde_appsdir/kmplot
%_kde_bindir/kmplot
%_kde_libdir/kde4/libkmplotpart.so
%_kde_iconsdir/*/*/apps/kmplot.*
%_kde_datadir/applications/kde4/kmplot.desktop
%_kde_datadir/config.kcfg/kmplot.kcfg
%_kde_services/kmplot_part.desktop
%_kde_docdir/HTML/*/kmplot
%_kde_mandir/man1/kmplot.1.*

#---------------------------------------------

%package -n 	kstars
Summary:    	A Desktop Planetarium
Group:      	Graphical desktop/KDE
Requires:   	%name-core = %version
Requires:	indilib >= 0.6.1
Obsoletes:  	%name-kstars < 3.93.0-0.714236.1
Obsoletes:  	%{_lib}extdate4 < 3.96.0-0.737193.1
Obsoletes:  	kde4-kstars < 1:4.0.68
Provides:   	kde4-kstars = %version
Conflicts:	%{name}-core < 4.5.71
%if %mdkversion >= 200910
Conflicts:      kdeedu < 1:3.5.9-4
%endif

%description -n kstars
KStars is a Desktop Planetarium for KDE. It provides an accurate graphical
simulation of the night sky, from any location on Earth, at any date and
time. The display includes 130,000 stars, 13,000 deep-sky objects,all 8
planets, the Sun and Moon, and thousands of comets and asteroids.

%files -n kstars
%defattr(-,root,root)
%_kde_appsdir/kstars
%_kde_bindir/kstars
%_kde_libdir/libhtmesh.a
%_kde_iconsdir/*/*/apps/kstars.*
%_kde_datadir/applications/kde4/kstars.desktop
%_kde_datadir/config.kcfg/kstars.kcfg
%_kde_datadir/config/kstars.knsrc
%_kde_docdir/HTML/*/kstars

#---------------------------------------------

%define analitza_major 4
%define libanalitza %mklibname analitza %{analitza_major}

%package -n %libanalitza
Summary: KDE 4 library
Group: System/Libraries

%description -n %libanalitza
KDE 4 library

%files -n %libanalitza
%defattr(-,root,root)
%_kde_libdir/libanalitza.so.%{analitza_major}*

#---------------------------------------------

%define SatLib_major 4
%define libSatLib %mklibname SatLib %{SatLib_major}

%package -n %libSatLib
Summary: KDE 4 library
Group: System/Libraries

%description -n %libSatLib
KDE 4 library

%files -n %libSatLib
%defattr(-,root,root)
%_kde_libdir/libSatLib.so.%{SatLib_major}*

#---------------------------------------------

%package -n 	ktouch
Summary: 	A program for learning touch typing
Group: 		Graphical desktop/KDE
Requires: 	%name-core = %version
Obsoletes: 	%name-ktouch < 3.93.0-0.714236.1
Obsoletes:      kde4-ktouch < 1:4.0.68
Provides:       kde4-ktouch = %version
Conflicts:	%{name}-core < 4.5.71
%if %mdkversion >= 200910
Conflicts:      kdeedu < 1:3.5.9-4
%endif

%description -n ktouch
KTouch is a program for learning touch typing. KTouch is a way to learn
to type on a keyboard quickly and correctly. Every finger has its place
on the keyboard with associated keys to press.

KTouch helps you learn to touch typing by providing you with something
to write. KTouch can also help you to remember what fingers to use.

%files -n ktouch
%defattr(-,root,root)
%_kde_appsdir/ktouch
%_kde_bindir/ktouch
%_kde_iconsdir/*/*/apps/ktouch.*
%_kde_datadir/applications/kde4/ktouch.desktop
%_kde_datadir/config.kcfg/ktouch.kcfg
%_kde_docdir/HTML/*/ktouch
%_kde_mandir/man1/ktouch.1.*

#---------------------------------------------

%package -n 	kturtle
Summary: 	An educational programming environment
Group: 		Graphical desktop/KDE
Requires: 	%name-core = %version
Obsoletes: 	%name-kturtle < 3.93.0-0.714236.1
Obsoletes:      kde4-kturtle < 1:4.0.68
Provides:       kde4-kturtle = %version
Conflicts:	%{name}-core < 4.5.71
%if %mdkversion >= 200910
Conflicts:      kdeedu < 1:3.5.9-4
%endif

%description -n kturtle
KTurtle is an educational programming environment for the KDE Desktop.
KTurtle aims to make programming as easy and touchable as possible, and
therefore can be used to teach kids the basics of math, geometry
and... programming.

%files -n kturtle
%defattr(-,root,root)
%_kde_bindir/kturtle
%_kde_appsdir/kturtle
%_kde_iconsdir/*/*/apps/kturtle.*
%_kde_datadir/applications/kde4/kturtle.desktop
%_kde_datadir/config/kturtle.knsrc
%_kde_docdir/HTML/*/kturtle

#---------------------------------------------

%package -n 	parley
Summary: 	KDE Vocabulary training application
Group: 		Graphical desktop/KDE
Requires: 	%name-core = %version
Requires:   python-mwclient
Obsoletes: 	%name-kvoctrain < 3.93.0-0.714236.1
Obsoletes: 	kde4-kvoctrain < 3.93.0-0.714236.1 
Obsoletes:      kde4-parley < 1:4.0.68
Provides:       kde4-parley = %version
Conflicts:	%{name}-core < 4.5.71
%if %mdkversion >= 200910
Conflicts:      kdeedu < 1:3.5.9-4
%endif

%description -n parley
Parley is a program to help you memorize things.

Parley supports many language specific features but can be used for other
learning tasks just as well. It uses the spaced repetition learning method,
also known as flash cards.

%files -n parley
%defattr(-,root,root)
%_kde_bindir/parley
%_kde_appsdir/parley
%_kde_iconsdir/*/*/apps/parley*
%_kde_datadir/applications/kde4/parley.desktop
%_kde_services/plasma-dataengine-parley.desktop
%_kde_services/plasma_parley.desktop
%_kde_datadir/config.kcfg/parley.kcfg
%_kde_datadir/config.kcfg/languagesettings.kcfg
%_kde_datadir/config.kcfg/documentsettings.kcfg
%_kde_datadir/config/parley.knsrc
%_kde_libdir/kde4/plasma_applet_parley.so
%_kde_libdir/kde4/plasma_engine_parley.so
%_kde_appsdir/desktoptheme/default/widgets/parley_plasma_card.svg
%_kde_datadir/config/parley-themes.knsrc
%_kde_docdir/HTML/*/parley

#---------------------------------------------

%package -n 	kwordquiz
Summary:	A general purpose flash card program
Group: 		Graphical desktop/KDE
Requires: 	%name-core = %version
Obsoletes: 	%name-kwordquiz < 3.93.0-0.714236.1
Obsoletes:      kde4-kwordquiz < 1:4.0.68
Provides:       kde4-kwordquiz = %version
Conflicts:	%{name}-core < 4.5.71
%if %mdkversion >= 200910
Conflicts:      kdeedu < 1:3.5.9-4
%endif

%description -n kwordquiz
KWordQuiz is a general purpose flash card program. It can be used for
vocabulary learning and many other subjects. If you need more advanced
language learning features, please try KVocTrain.

%files -n kwordquiz
%defattr(-,root,root)
%_kde_appsdir/kwordquiz
%_kde_bindir/kwordquiz
%_kde_iconsdir/*/*/apps/kwordquiz.*
%_kde_datadir/applications/kde4/kwordquiz.desktop
%_kde_datadir/config.kcfg/kwordquiz.kcfg
%_kde_datadir/config/kwordquiz.knsrc
%_kde_docdir/*/*/kwordquiz

#---------------------------------------------

%package -n 	step
Summary: 	Interactive physical simulator
Group: 		Graphical desktop/KDE
Requires: 	%name-core = %version
Conflicts:	%{name}-core < 4.5.71

%description -n step
Step is an interactive physical simulator. It works like this: 
you place some bodies on the scene, add some forces such as gravity 
or springs, then click "Simulate" and Step shows you how your scene 
will evolve according to the laws of physics. You can change every 
property of bodies/forces in your experiment (even during simulation) 
and see how this will change evolution of the experiment. With Step 
you can not only learn but feel how physics works !

%files -n step
%defattr(-,root,root)
%_kde_bindir/step
%_kde_datadir/applications/kde4/step.desktop                      
%_kde_appsdir/step
%_kde_iconsdir/*/*/apps/step.*
%_kde_datadir/config.kcfg/step.kcfg
%_kde_datadir/config/step.knsrc
%_kde_docdir/*/*/step

#---------------------------------------------

%define science_major 4
%define libscience %mklibname science %{science_major}

%package -n %libscience
Summary: KDE 4 library
Group: System/Libraries

%description -n %libscience
KDE 4 library

%files -n %libscience
%defattr(-,root,root)
%_kde_libdir/libscience.so.%{science_major}*

#---------------------------------------------

%define kdeeduui_major 4
%define libkdeeduui %mklibname kdeeduui %{kdeeduui_major}

%package -n %libkdeeduui
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkdeeduui
KDE 4 library

%files -n %libkdeeduui
%defattr(-,root,root)
%_kde_libdir/libkdeeduui.so.%{kdeeduui_major}*

#---------------------------------------------

%define marblewidget_major 11
%define libmarblewidget %mklibname marblewidget %{marblewidget_major}

%package -n %libmarblewidget
Summary: KDE 4 library
Group: System/Libraries
Obsoletes: %{_lib}marblewidget0 < 4.4.95-3

%description -n %libmarblewidget
KDE 4 library

%files -n %libmarblewidget
%defattr(-,root,root)
%_kde_libdir/libmarblewidget.so.0.*
%_kde_libdir/libmarblewidget.so.%{marblewidget_major}

#---------------------------------------------

%define rocslib_major 4
%define librocslib %mklibname rocslib %{rocslib_major}

%package -n %librocslib
Summary: KDE 4 library
Group: System/Libraries

%description -n %librocslib
KDE 4 library

%files -n %librocslib
%defattr(-,root,root)
%_kde_libdir/librocslib.so.%{rocslib_major}*

#---------------------------------------------

%define keduvocdocument_major 4
%define libkeduvocdocument %mklibname keduvocdocument %{keduvocdocument_major}

%package -n %libkeduvocdocument
Summary: KDE 4 library
Group: System/Libraries

%description -n %libkeduvocdocument
KDE 4 library

%files -n %libkeduvocdocument
%defattr(-,root,root)
%_kde_libdir/libkeduvocdocument.so.%{keduvocdocument_major}*

#---------------------------------------------

%package -n marble
Summary: A virtual globe and world atlas
Group: Graphical desktop/KDE
Requires: %name-core = %version
Requires: marble-common
Obsoletes: %name-marble < 3.93.0-0.714236.1
Obsoletes: kde4-marble < 1:4.0.68
Provides: kde4-marble = %version
Conflicts: kdeedu < 1:3.5.9-4
Conflicts: %{name}-core < 4.5.71

%description -n marble
Marble is a Virtual Globe and World Atlas that you can use to learn more
about Earth: You can pan and zoom around and you can look up places and
roads. A mouse click on a place label will provide the respective
Wikipedia article.

%files -n marble
%defattr(-,root,root)
%_kde_bindir/marble
%_kde_bindir/geodatatest
%_kde_bindir/tilecreator
%_kde_bindir/routing-instructions
%_kde_iconsdir/*/*/apps/marble.*
%_kde_datadir/applications/kde4/marble.desktop
%_kde_docdir/HTML/*/marble

#---------------------------------------------

%package -n marble-common
Summary: A virtual globe and world atlas
Group: Graphical desktop/KDE
Requires: %name-core = %version
%if %with marble_python
BuildRequires: python-kde4
Requires: python
%endif
%if %mdkversion >= 200910
Conflicts:      kdeedu < 1:3.5.9-4
%endif
Conflicts:      marble < 4.2.2-6

%description -n marble-common
Marble is a Virtual Globe and World Atlas that you can use to learn more
about Earth: You can pan and zoom around and you can look up places and
roads. A mouse click on a place label will provide the respective
Wikipedia article.

%files -n marble-common
%defattr(-,root,root)
%_kde_libdir/kde4/libmarble_part.*
%_kde_datadir/config.kcfg/marble.kcfg
%_kde_services/marble_part.desktop
%_kde_libdir/kde4/plugins/marble
%_kde_appsdir/marble
%_kde_appsdir/marble_part
%if %with marble_python
%py_platsitedir/PyKDE4/marble.so
%endif

#-----------------------------------------------------------------------------

%package -n plasma-applet-didyouknow
Summary: plasma didyouknow Applet
Group: Graphical desktop/KDE
Requires: kdebase4-runtime
Provides: plasma-applet
Conflicts: extragear-plasma < 4.0.82

%description -n plasma-applet-didyouknow
Plasma applet where you can answer questions

%files -n plasma-applet-didyouknow
%defattr(-,root,root)
%_kde_libdir/kde4/plasma_applet_didyouknow.so
%_kde_services/plasma_didyouknow.desktop
%_kde_appsdir/desktoptheme/default/widgets/chalkboard.svg

#-----------------------------------------------------------------------------

%package -n plasma-engine-kalzium
Summary: plasma didyouknow Applet
Group: Graphical desktop/KDE
Requires: kdebase4-runtime
Provides: plasma-applet
Conflicts: extragear-plasma < 4.0.82

%description -n plasma-engine-kalzium
kalzium engine applet

%files -n plasma-engine-kalzium
%defattr(-,root,root)
%_kde_libdir/kde4/plasma_engine_kalzium.so
%_kde_services/plasma-dataengine-kalzium.desktop

#-----------------------------------------------------------------------------

%package -n plasma-applet-kworldclock
Summary: plasma kworldclock Applet
Group: Graphical desktop/KDE
Requires: kdebase4-runtime
Requires: marble
Provides: plasma-applet
Conflicts: extragear-plasma < 4.0.82

%description -n plasma-applet-kworldclock
plasma kworldclock Applet

%files -n plasma-applet-kworldclock
%defattr(-,root,root)
%_kde_libdir/kde4/plasma_applet_worldclock.so
%_kde_services/plasma-applet-kworldclock.desktop


#-----------------------------------------------------------------------------

%package -n cantor
Summary: KDE Interface for doing Mathematics and Scientific Computing
Group: Graphical desktop/KDE
Requires: kdebase4-runtime
Conflicts: %{name}-core < 4.5.71
Conflicts: %{name}-devel < 4.5.74

%description -n cantor
Cantor is a KDE Application aimed to provide a nice Interface 
for doing Mathematics and Scientific Computing. It doesn't implement 
its own Computation Logic, but instead is built around different 
Backends. 

%files -n cantor
%defattr(-,root,root)
%_kde_bindir/cantor
%_kde_bindir/cantor_rserver
%_kde_libdir/kde4/cantor_creatematrixassistant.so
%_kde_libdir/kde4/cantor_differentiateassistant.so
%_kde_libdir/kde4/cantor_eigenvaluesassistant.so
%_kde_libdir/kde4/cantor_eigenvectorsassistant.so
%_kde_libdir/kde4/cantor_integrateassistant.so
%_kde_libdir/kde4/cantor_invertmatrixassistant.so
%_kde_libdir/kde4/cantor_kalgebrabackend.so
%_kde_libdir/kde4/cantor_maximabackend.so
%_kde_libdir/kde4/cantor_nullbackend.so
%_kde_libdir/kde4/cantor_octavebackend.so
%_kde_libdir/kde4/cantor_runscriptassistant.so
%_kde_libdir/kde4/cantor_sagebackend.so
%_kde_libdir/kde4/cantor_solveassistant.so
%_kde_libdir/kde4/cantor_plot2dassistant.so
%_kde_libdir/kde4/cantor_plot3dassistant.so
%_kde_libdir/kde4/cantor_advancedplotassistant.so
%_kde_libdir/kde4/cantor_helppanelplugin.so
%_kde_libdir/kde4/cantor_variablemanagerplugin.so
%_kde_libdir/kde4/cantor_rbackend.so
%_kde_libdir/kde4/concentrationCalculator.so
%_kde_libdir/kde4/gasCalculator.so
%_kde_libdir/kde4/libcantorpart.so
%_kde_libdir/kde4/nuclearCalculator.so
%_kde_libdir/libcantor_config.so
%_kde_datadir/applications/kde4/cantor.desktop
%_kde_appsdir/cantor
%_kde_appsdir/cantorpart
%_kde_iconsdir/*/*/apps/cantor.*
%_kde_iconsdir/*/*/apps/maximabackend.png
%_kde_iconsdir/*/*/apps/octavebackend.png
%_kde_iconsdir/*/*/apps/rbackend.png
%_kde_iconsdir/*/*/apps/sagebackend.png
%_kde_configdir/cantor*.knsrc
%_kde_datadir/config.kcfg/cantor.kcfg
%_kde_datadir/config.kcfg/cantor_libs.kcfg
%_kde_datadir/config.kcfg/octavebackend.kcfg
%_kde_datadir/config.kcfg/maximabackend.kcfg
%_kde_datadir/config.kcfg/sagebackend.kcfg
%_kde_datadir/config.kcfg/rserver.kcfg
%_kde_services/concentrationCalculator.desktop
%_kde_services/gasCalculator.desktop
%_kde_services/nuclearCalculator.desktop
%doc %_kde_docdir/HTML/en/cantor
%_kde_services/cantor
%_kde_servicetypes/cantor_assistant.desktop
%_kde_servicetypes/cantor_backend.desktop
%_kde_servicetypes/cantor_panelplugin.desktop

#---------------------------------------------

%define cantorlibs_major 0
%define libcantorlibs %mklibname cantorlibs %{cantorlibs_major}

%package -n %libcantorlibs
Summary: KDE 4 library
Group: System/Libraries

%description -n %libcantorlibs
KDE 4 library

%files -n %libcantorlibs
%defattr(-,root,root)
# FIXME : Fix lib major
%_kde_libdir/libcantorlibs.so.%{cantorlibs_major}*
%_kde_libdir/libcantorlibs.so.1

#---------------------------------------------

%define analitzagui_major 4
%define libanalitzagui %mklibname analitzagui %{analitzagui_major}

%package -n %libanalitzagui
Summary: KDE 4 library
Group: System/Libraries

%description -n %libanalitzagui
KDE 4 library

%files -n %libanalitzagui
%defattr(-,root,root)
%_kde_libdir/libanalitzagui.so.%{analitzagui_major}.*
%_kde_libdir/libanalitzagui.so.%{analitzagui_major}

#---------------------------------------------

%package -n rocs
Summary: Graph - Editor and a Programming Enviroment
Group: Graphical desktop/KDE

%description -n rocs
rocs aims to provide a full featured Graph - Editor and a Programming
Enviroment that's connected to the Graph by doing it so, it can be
used for teachers to show the joy and mistery of Graph Theory,

%files -n rocs
%defattr(-,root,root)
%_kde_bindir/rocs
%doc %_kde_docdir/HTML/en/rocs
%_kde_datadir/applications/kde4/rocs.desktop
%_kde_datadir/config.kcfg/rocs.kcfg
%_kde_datadir/config/rocs.knsrc
%_kde_libdir/kde4/rocs_makecompleteplugin.so
%_kde_libdir/kde4/rocs_plaintxt.so
%_kde_libdir/kde4/rocs_GraphStructure.so
%_kde_libdir/kde4/rocs_ListStructure.so
%_kde_libdir/kde4/rocs_kmlParser.so
%_kde_appsdir/rocs
%_kde_services/rocs_makecompleteplugin.desktop
%_kde_services/rocs_plaintxtplugin.desktop
%_kde_services/rocs_GraphStructure.desktop
%_kde_services/rocs_ListStructure.desktop
%_kde_services/rocs_kmlParser.desktop
%_kde_servicetypes/RocsFilePlugin.desktop
%_kde_servicetypes/RocsToolsPlugin.desktop
%_kde_servicetypes/RocsDSPlugin.desktop

#---------------------------------------------

%package devel
Summary: Devel stuff for %{name}
Group: Development/KDE and Qt
Requires: kdelibs4-devel
Requires: %libkiten = %version
Requires: %libSatLib = %version
Requires: %libscience = %version
Requires: %libkdeeduui = %version
Requires: %libkeduvocdocument = %version
Requires: %libanalitza = %version
Requires: %libanalitzagui = %version
Requires: %libcantorlibs = %version
Requires: %libmarblewidget = %version
Requires: %librocslib = %version
Requires: %libcompoundviewer = %version
%if %mdkversion >= 200910
Obsoletes:   %{_lib}kdeedu-devel < 1:3.5.10-2
%endif

%description  devel
Files needed to build applications based on %{name}.

%files devel
%defattr(-,root,root)
%_kde_libdir/libSatLib.so
%_kde_libdir/libanalitza.so
%_kde_libdir/libanalitzagui.so
%_kde_libdir/libcantorlibs.so
%_kde_libdir/libcompoundviewer.so
%_kde_libdir/libkdeeduui.so
%_kde_libdir/libkeduvocdocument.so
%_kde_libdir/libkiten.so
%_kde_libdir/libmarblewidget.so
%_kde_libdir/librocslib.so
%_kde_libdir/libscience.so
%_kde_includedir/*
%_kde_appsdir/cmake/modules/*
%_kde_datadir/dbus-1/interfaces/*
%_kde_libdir/cmake/libkdeedu

#----------------------------------------------------------------------

%prep
%if %branch
%setup -q -n kdeedu-%version%kde_snapshot
%else
%setup -q -n kdeedu-%version
%endif
%patch2 -p0

%build
export CFLAGS="%{optflags} -DOCAMLIB=%_libdir/ocaml"
export CPPFLAGS="%{optflags} -DOCAMLIB=%_libdir/ocaml "

%cmake_kde4 \
	%if %without marble_python
	-DEXPERIMENTAL_PYTHON_BINDINGS=FALSE \
	-DBUILD_python=FALSE
	%else
	-DEXPERIMENTAL_PYTHON_BINDINGS=TRUE
	%endif	
	
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

%clean
rm -fr %buildroot



%changelog
* Tue Jul 12 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.6.5-2
+ Revision: 689733
- New version 4.6.5

* Wed Jun 15 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.6.4-2
+ Revision: 685228
- file list fixes
- New version 4.6.4

* Mon May 23 2011 Funda Wang <fwang@mandriva.org> 4.6.3-2
+ Revision: 677488
- rebuild for updated mimehandler

* Fri May 13 2011 Funda Wang <fwang@mandriva.org> 4.6.3-1
+ Revision: 674021
- new version 4.6.3

* Sun May 08 2011 Funda Wang <fwang@mandriva.org> 4.6.2-2
+ Revision: 672336
- rebuild

* Tue Apr 05 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.6.2-1
+ Revision: 650771
- Remove mkrel
- New version 4.6.2

* Mon Mar 14 2011 Funda Wang <fwang@mandriva.org> 4.6.1-2
+ Revision: 644496
- rebuild for new boost

* Mon Feb 28 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.6.1-1
+ Revision: 640725
- New version 4.6.1

* Wed Jan 26 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.6.0-1
+ Revision: 632963
- New version KDE 4.6 Final

* Thu Jan 06 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.5.95-1mdv2011.0
+ Revision: 629118
- New version KDE 4.6 RC2

* Fri Dec 24 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.5.90-1mdv2011.0
+ Revision: 624462
- Fix file list
- New upstream tarball

* Wed Dec 08 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.5.85-1mdv2011.0
+ Revision: 616342
- New upstream tarball

* Fri Nov 26 2010 Funda Wang <fwang@mandriva.org> 4.5.80-1mdv2011.0
+ Revision: 601452
- new version 4.5.80 (aka 4.6 beta1)

* Sat Nov 20 2010 Funda Wang <fwang@mandriva.org> 4.5.77-0.svn1198704.3mdv2011.0
+ Revision: 599265
- install marble.cmake

* Sat Nov 20 2010 Funda Wang <fwang@mandriva.org> 4.5.77-0.svn1198704.2mdv2011.0
+ Revision: 599257
- drop conflicts

* Sat Nov 20 2010 Funda Wang <fwang@mandriva.org> 4.5.77-0.svn1198704.1mdv2011.0
+ Revision: 599141
- update file list
- new snapshot 4.5.77

* Mon Nov 08 2010 Funda Wang <fwang@mandriva.org> 4.5.74-0.svn1190490.2mdv2011.0
+ Revision: 595102
- fix rpath on R

* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 4.5.74-0.svn1190490.1mdv2011.0
+ Revision: 590877
- update file list
- new snapshot 4.5.74

* Fri Oct 08 2010 Funda Wang <fwang@mandriva.org> 4.5.71-0.svn1183885.1mdv2011.0
+ Revision: 584268
- add conflicts to ease upgrade
- update file list
- split icons into single app
- new snapshot

* Thu Sep 16 2010 Funda Wang <fwang@mandriva.org> 4.5.68-1mdv2011.0
+ Revision: 578801
- update file list
- new snapshot 4.5.68

* Tue Sep 07 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.5.67-1mdv2011.0
+ Revision: 576475
- New version 4.5.67

* Wed Sep 01 2010 Funda Wang <fwang@mandriva.org> 4.5.65-1mdv2011.0
+ Revision: 575119
- new version 4.5.65

* Tue Aug 24 2010 Funda Wang <fwang@mandriva.org> 4.5.0-6mdv2011.0
+ Revision: 572515
- rebuild for new boost

* Sat Aug 21 2010 Funda Wang <fwang@mandriva.org> 4.5.0-5mdv2011.0
+ Revision: 571746
- BR avogadro
- should requires indilib 0.6.1

* Sat Aug 21 2010 Funda Wang <fwang@mandriva.org> 4.5.0-4mdv2011.0
+ Revision: 571664
- rebuild for new cfitsio

* Fri Aug 06 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.5.0-3mdv2011.0
+ Revision: 566567
- New upstream tarball
- Update to version 4.5.0

  + John Balcaen <mikala@mandriva.org>
    - Remove plasma-devel BR ( kdelibs4-devel is in BR before)
     signed-of-by: nlecureuil@mandriva.com

* Thu Jul 29 2010 Funda Wang <fwang@mandriva.org> 4.4.95-3mdv2011.0
+ Revision: 562932
- correct package name of libmarblewidget based on SONAME
- add missing requires on lib package

* Wed Jul 28 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.4.95-1mdv2011.0
+ Revision: 562714
- KDE 4.5 RC3

* Wed May 26 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.4.3-3mdv2010.1
+ Revision: 546149
- Rebuild in release mode

* Sat May 08 2010 Funda Wang <fwang@mandriva.org> 4.4.3-2mdv2010.1
+ Revision: 543553
- add missing requires on actural libfile

* Thu May 06 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.4.3-1mdv2010.1
+ Revision: 542791
- Fix file list
- Update to version 4.4.3

* Sun Mar 28 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.4.2-1mdv2010.1
+ Revision: 528312
- Update to version 4.4.2

* Mon Mar 08 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.4.1-1mdv2010.1
+ Revision: 515728
- Fix release
- Update to version 4.4.1
- Convert requires into suggests in the meta package
- Fix requires in parley rpm (Bug #57035)

* Tue Feb 09 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.4.0-3mdv2010.1
+ Revision: 502609
- Update to version 4.4.0

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 4.3.98-3mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 4.3.98-2mdv2010.1
+ Revision: 500109
- rebuild for new boost

* Mon Feb 01 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.3.98-1mdv2010.1
+ Revision: 498942
- Update to version 4.3.98 aka "kde 4.4 RC3"
- Update to version 4.3.98 aka "kde 4.4 RC3"

* Wed Jan 27 2010 Funda Wang <fwang@mandriva.org> 4.3.95-1mdv2010.1
+ Revision: 497201
- fix file list

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Update to version 4.3.95 aka "kde 4.4 RC2"
    - Update to version 4.3.95 aka "kde 4.4 RC2"

* Sun Jan 10 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.3.90-1mdv2010.1
+ Revision: 488229
- Update to kde 4.4 rc1

* Mon Dec 21 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.3.85-1mdv2010.1
+ Revision: 480707
- Update to kde 4.4 beta2

* Fri Dec 04 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.3.80-1mdv2010.1
+ Revision: 473252
- Update to kde 4.4 Beta1
- Add branch switch

* Sat Nov 28 2009 Funda Wang <fwang@mandriva.org> 4.3.77-1mdv2010.1
+ Revision: 470759
- New version 4.3.77

* Fri Nov 20 2009 Funda Wang <fwang@mandriva.org> 4.3.75-1mdv2010.1
+ Revision: 467584
- add upstream patch to have it built
- add rocs sub package

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Update to kde 4.3.75

* Wed Nov 11 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.3.73-2mdv2010.1
+ Revision: 465069
- Rebuild against new qt

* Sun Nov 08 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.3.73-1mdv2010.1
+ Revision: 462813
- Update to kde 4.3.73
  Add new package -> Cantor

* Tue Oct 06 2009 Helio Chissini de Castro <helio@mandriva.com> 4.3.2-1mdv2010.0
+ Revision: 454432
- New upstream release 4.3.2.

* Sun Sep 13 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.3.1-2mdv2010.0
+ Revision: 438581
- Obsolete kde3 packages

* Tue Sep 01 2009 Helio Chissini de Castro <helio@mandriva.com> 4.3.1-1mdv2010.0
+ Revision: 423211
- New upstream release 4.3.1.

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 4.3.0-4mdv2010.0
+ Revision: 418810
- rebuild for new boost

* Wed Aug 05 2009 Funda Wang <fwang@mandriva.org> 4.3.0-3mdv2010.0
+ Revision: 409949
- BR qt4-dbus for its binary

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream release 4.3.0.

* Thu Jul 23 2009 Helio Chissini de Castro <helio@mandriva.com> 4.2.98-1mdv2010.0
+ Revision: 398892
- Update to KDE 4.3 RC3

* Sun Jul 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.2.96-1mdv2010.0
+ Revision: 394957
- Update to Rc2

* Sat Jul 04 2009 Funda Wang <fwang@mandriva.org> 4.2.95-1mdv2010.0
+ Revision: 392094
- New version 4.2.95
- disable step also
- disable stuffs as we only have eigen 2.0 now
- obsoletes old lib

* Thu Jun 04 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.2.90-1mdv2010.0
+ Revision: 382885
- Fix file list
- Update to beta2

* Fri May 29 2009 Funda Wang <fwang@mandriva.org> 4.2.88-2mdv2010.0
+ Revision: 381042
- rebuild for package lost

* Fri May 29 2009 Funda Wang <fwang@mandriva.org> 4.2.88-1mdv2010.0
+ Revision: 380826
- New version 4.2.88

* Tue May 26 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.2.87-3mdv2010.0
+ Revision: 379748
- Update because of BS Failure
- Workaround file lists ( need to ask upstream )
- Fix %%build_marble_python macros
- Versionnate xplanet requires
- Bump release
- Fix file list
- Fix file list
- Adapt buildrequires
- Do not build the python binding for now
- Update to kde 4.2.87
- Update to kde 4.2.71

* Fri Apr 17 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.2.2-6mdv2009.1
+ Revision: 367828
- Move more files in marble-common

* Thu Apr 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.2.2-5mdv2009.1
+ Revision: 367701
- Fix typo

* Wed Apr 15 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.2.2-4mdv2009.1
+ Revision: 367592
- Fix typo
- create marble-common subpackage

* Wed Apr 08 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.2.2-3mdv2009.1
+ Revision: 365246
- Add some upstream patches from branch

* Sun Apr 05 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.2.2-2mdv2009.1
+ Revision: 364184
- Add some branch patches

* Sat Mar 28 2009 Helio Chissini de Castro <helio@mandriva.com> 4.2.2-1mdv2009.1
+ Revision: 361812
- Update with 4.2.2 try#1 packages

* Fri Mar 06 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.2.1-2mdv2009.1
+ Revision: 349602
- Add marble as require to fix crash

* Sat Feb 28 2009 Helio Chissini de Castro <helio@mandriva.com> 4.2.1-1mdv2009.1
+ Revision: 346151
- KDE 4.2.1 try#1 upstream release

* Fri Feb 20 2009 Helio Chissini de Castro <helio@mandriva.com> 4.2.0-5mdv2009.1
+ Revision: 343252
- Add buildrequires for gpsd to marble
- Let experimental bindings turn on. Not compiling right now until puthon kde be available

* Fri Feb 20 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.2.0-4mdv2009.1
+ Revision: 343066
- Add upstream patch to fix bug 47826
- Add requires to Openbabel for Kalzium ( tks JLP)
- Rebuild against qt4.5

* Wed Jan 28 2009 Funda Wang <fwang@mandriva.org> 4.2.0-1mdv2009.1
+ Revision: 334819
- New version 4.2.0

* Fri Jan 09 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.96-1mdv2009.1
+ Revision: 327439
- Fix wrong macro
- Fix file list

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with Release Candidate 1 - 4.1.96

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 4.1.85-2mdv2009.1
+ Revision: 319866
- rebuild for new python

* Mon Dec 22 2008 Funda Wang <fwang@mandriva.org> 4.1.85-1mdv2009.1
+ Revision: 317457
- do not build marble python binding for now

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - New version KDE 4.2 Beta2

* Thu Dec 11 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.82-1mdv2009.1
+ Revision: 313394
- Update to kde 4.1.82

* Mon Dec 01 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.81-1mdv2009.1
+ Revision: 308704
- Fix BuildRequires
- Update to kde 4.1.81
- Obsoletes old kdeedu packages

* Sat Nov 22 2008 Funda Wang <fwang@mandriva.org> 4.1.80-1mdv2009.1
+ Revision: 305909
- we don't want to import extra dependency
- we only need plasma-devel rather entire kdebase-workspace
- drop dup files

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix file list
    - Remove merged patches

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with Beta 1 - 4.1.80

* Sun Nov 16 2008 Funda Wang <fwang@mandriva.org> 4.1.73-1mdv2009.1
+ Revision: 303759
- New version 4.1.73
- requires indilib 0.6 for kstars
- patch0 merged upstream
- fix underlinking

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix Requires on core package
    - Add missing patch
    - Own those dirs
    - Fix error in file packaging  ( thanks annma )
    - Fix File list with new libfli-devel
    - Build libfli support

* Sun Oct 26 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.71-1mdv2009.1
+ Revision: 297416
- Fix file list
- Do not build python bindings for now (broken)
- First step for the build fix
- New version 4.1.71
- Update to kde 4.1.70

* Thu Sep 25 2008 Helio Chissini de Castro <helio@mandriva.com> 4.1.2-1mdv2009.0
+ Revision: 288308
- KDE 4.1.2 arriving.

* Sun Sep 07 2008 Funda Wang <fwang@mandriva.org> 4.1.1-1mdv2009.0
+ Revision: 282234
- New version 4.1.1

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - rebuild against new boost

* Fri Aug 15 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.1.0-2mdv2009.0
+ Revision: 272311
- Rebuild against new libcfitsio

  + Funda Wang <fwang@mandriva.org>
    - add missing requires on libs
    - update summary and descriptions

* Tue Jul 29 2008 Helio Chissini de Castro <helio@mandriva.com> 4.1.0-1mdv2009.0
+ Revision: 252419
- Disabled plasma applets
- Update with Release Candidate 1 - 4.1.0

* Thu Jul 10 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.98-1mdv2009.0
+ Revision: 233205
- Update with Release Candidate 1 - 4.0.98

* Wed Jul 09 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.0.85-1mdv2009.0
+ Revision: 233157
- Fix patch headers
- Add patch0 to fix build ( upstream )
- New version kde 4.0.85

* Fri Jun 27 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.84-1mdv2009.0
+ Revision: 229401
- Update with new snapshot tarballs 4.0.84

* Wed Jun 25 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.83-2mdv2009.0
+ Revision: 228849
- Missing library
- Update with new snapshot tarballs 4.0.83

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix some descriptions

* Wed Jun 11 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.82-1mdv2009.0
+ Revision: 218031
- Update with new snapshot tarballs 4.0.82

* Tue Jun 10 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.81-2mdv2009.0
+ Revision: 217440
- Disable indi requires for a while
- Fixed file list
- Enabled openbabel and indi for kalzium
- Update with new snapshot tarballs 4.0.81
- Update with new snapshot tarballs 4.0.81
- New upstream kde4 4.1 beta1

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Own %%_kde_libdir/avogadro-kalzium and %%_kde_appsdir/kturtle

* Sat May 17 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.0.74-2mdv2009.0
+ Revision: 208348
- Fix conflicts against old kdeedu

* Fri May 16 2008 Funda Wang <fwang@mandriva.org> 4.0.74-1mdv2009.0
+ Revision: 208070
- New version 4.0.74
- there is no epoch in kdeedu4

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix BuildRequires
    - Fix BuildRequires
    - Fix BuildRequires
    - Fix BuildRequires
    - Fix File list
    - Add Buildrequire
    - Update to kde 4.0.73
      Fix conflicts against kdeedu 3.5.x
    - this should not have been commited
    - Update to kde 4.0.72
    - add back libsbigudrv package
      Fix libraries according to kde4 policy
      Add BuildRequires
      Add commented Buildrequires ( they will be enable soon )
    - Fix Requires and obsoletes
    - Fix File list
    - New snapshot 4.0.70
    - Fix kbruch package
    - Fix khangman package
    - Add BuildRequires
      Say Hello to "Step"
    - New snapshot 4.0.69

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream kde4 4.1 alpha 1

* Fri Mar 28 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.3-1mdv2008.1
+ Revision: 190998
- Update for last stable release 4.0.3

* Sat Mar 08 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.0.2-2mdv2008.1
+ Revision: 182261
- Rebuild against new qt4 changes

* Sat Mar 01 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.2-1mdv2008.1
+ Revision: 177432
- New upstream bugfix release 4.0.2

* Tue Feb 12 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.1-1mdv2008.1
+ Revision: 166411
- Updating for stable KDE 4.0.1
- No more branches. From now, we will be using the monthly official KDE tarballs, as discussed by Mandriva KDE team

* Wed Jan 09 2008 Helio Chissini de Castro <helio@mandriva.com> 4.0.0-1mdv2008.1
+ Revision: 147356
- Updated to latest 4.0.0 stable

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 24 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.97.1-0.752208.1mdv2008.1
+ Revision: 137406
- New snapshot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.97.1-0.746943.2mdv2008.1
+ Revision: 119051
- Add back kig as it compile on x86_64 too now

* Tue Dec 11 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.97.1-0.746943.1mdv2008.1
+ Revision: 117176
- New snapshot

* Sat Dec 01 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.96.1-0.742689.1mdv2008.1
+ Revision: 114227
- Do not build Kig for the moment ( it do not build currently on x86_64)
- New snapshot
- Fix obsolete of libkdeeducore4
- New snapshot
- KDE4 RC1
  Remove libextdate and Obsolete it.
- New snapshot
- New snapshot
- Fix file list
- New snapshot post Rc1

* Tue Oct 30 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.94.1-0.730883.1mdv2008.1
+ Revision: 103689
- New snashot

* Thu Oct 25 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.94.1-0.729013.1mdv2008.1
+ Revision: 102098
- New snapshot

* Wed Oct 24 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 3.94.1-0.728515.1mdv2008.1
+ Revision: 101793
- Fix file sli
- New svn snapshot
- Kde 4 Beta 3

* Fri Sep 21 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 3.93.0-0.714236.1mdv2008.0
+ Revision: 91964
- New snapshot from KDE svn
- kvoctrain was renamed as parley
- make all obsoletes entries versioned

  + Helio Chissini de Castro <helio@mandriva.com>
    - Update with revision 709075

* Tue Sep 04 2007 Helio Chissini de Castro <helio@mandriva.com> 3.93.0-0.708174.1mdv2008.0
+ Revision: 79003
- Update with revision 708174

* Fri Aug 31 2007 Helio Chissini de Castro <helio@mandriva.com> 3.92.0-0.706921.1mdv2008.0
+ Revision: 77028
- Update with revision 706921
- Update with revision 706354

* Tue Aug 07 2007 Helio Chissini de Castro <helio@mandriva.com> 3.92.0-0.697083.1mdv2008.0
+ Revision: 59818
- Update to revision 697083

* Tue Jul 31 2007 Helio Chissini de Castro <helio@mandriva.com> 3.92.0-0.694397.1mdv2008.0
+ Revision: 57074
- First build of kdeedu 4. Marble enabled :-)

* Thu May 10 2007 Laurent Montel <lmontel@mandriva.org> 1:3.90.1-0.20070502.1mdv2008.0
+ Revision: 25901
- new snapshot
- it compiles with enable final

* Thu May 03 2007 Laurent Montel <lmontel@mandriva.org> 1:3.80.3-0.20070502.2mdv2008.0
+ Revision: 20950
- Fix spec file
- new snapshot
- new snapshot
- Necessary for kalzium4


* Sun Mar 11 2007 Laurent Montel <lmontel@mandriva.com> 3.80.3-0.20070311.2mdv2007.1
+ Revision: 141393
- new snapshot
- new snapshot

* Mon Mar 05 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.3-0.20070228.2mdv2007.1
+ Revision: 133276
- Fix spec file
- Fix spec file
- new snapshot
- 3.80.3
- new snapshot
- Fix spec file
- new snapshot
- new snapshot
- new snapshot
- Update

* Wed Jan 10 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070109.1mdv2007.1
+ Revision: 107047
- Update
- Add new buildrequires

* Thu Jan 04 2007 Laurent Montel <lmontel@mandriva.com> 1:3.80.2-0.20070103.1mdv2007.1
+ Revision: 104085
- Fix spec file
- Import kdeedu4

* Wed Dec 27 2006 Laurent Montel <lmontel@mandriva.com> 3.5.5-2mdv2007.0
- kde4

